<!DOCTYPE html>
<html>

<head>

    <title>Quick Start - Leaflet</title>

    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="shortcut icon" type="image/x-icon" href="docs/images/favicon.ico" />

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.5.1/dist/leaflet.css" integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
        crossorigin="" />
    <script src="https://unpkg.com/leaflet@1.5.1/dist/leaflet.js" integrity="sha512-GffPMF3RvMeYyc1LWMHtK8EbPv0iNZ8/oTtHPx9/cc2ILxQ+u905qIwdpULaqDkyBKgOaB57QTMg7ztg8Jm2Og=="
        crossorigin="">
        </script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <style>
        body {
            margin: 0;
        }
    </style>


</head>

<body>



    <div id="mapid" style="width: 100%; height: 100vh;"></div>
    <script>

        var mymap = L.map('mapid').setView([45.898685, 16.84217], 17);

        L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw', {
            maxZoom: 18,
            attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, ' +
                '<a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, ' +
                'Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
            id: 'mapbox/streets-v11'
        }).addTo(mymap);
    </script>



</body>
<script>
    $.getJSON("zupanije.geojson", function (data) {
        // add GeoJSON layer to the map once the file is loaded
        var datalayer = L.geoJson(data, {
            onEachFeature: function (feature, featureLayer) {
                featureLayer.bindPopup(feature.properties.name + " " + feature.properties.type);
                featureLayer.on('mouseover', function(){
                    featureLayer.setStyle({
                        fillOpacity:0.3
                    })
                })
                featureLayer.on('mouseout', function(){
                    featureLayer.setStyle({
                        fillOpacity:0
                    })
                })
            },
            style: function (feature) {
                return {
                    color: '#000',
                    weight: 0.3,
                    fillOpacity: 0
                    //https://leafletjs.com/reference-1.5.0.html#path-option
                }
            }
        }).addTo(mymap);
        mymap.fitBounds(datalayer.getBounds());
    });
</script>

</html>